GET /data/user/filters

Retrieve filters for the current user limited to open projects only.

Responses

  • 200 application/json

    Filters for current user and only for open projects

    Hide response attributes Show response attributes object
    • id string(uuid)

      Filter unique identifier

    • name string

      Filter name

    • query string

      Filter query JSON

    • list_type string

      List type

    • entity_type string

      Entity type

    • project_id string(uuid)

      Project identifier

    • is_shared boolean

      Whether filter is shared

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/filters
curl -X GET "http://api.example.com/data/user/filters" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/filters"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/filters' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "My Filter",
    "query": "{\"project_id\": \"uuid\"}",
    "list_type": "todo",
    "entity_type": "Asset",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "is_shared": false,
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]